# -*- coding: utf-8 -*-


from django.conf import settings
from django.http import HttpResponseRedirect


class DebugBatmanMiddleware(object):
    def __init__(self):
        assert settings.DEBUG

    def process_request(self, request):
        if request.COOKIES.get('logged-in') == 'true':
            request.META.update({
                'HTTP_REMOTE_USER': 'bwayne',
                'HTTP_SN': 'Brüce',
                'HTTP_GIVENNAME': 'Wayne',
                'HTTP_MAIL': 'bwayne@wayneindustries.com',
            })
        elif 'login' in request.GET:
            next = request.GET.get('next', '/')
            resp = HttpResponseRedirect(next)
            resp.set_cookie('logged-in', 'true')
            return resp

    def process_response(self, request, response):
        if 'logout' in request.GET:
            response.remove_cookie('logged-in')
        return response
